/* Boursa Financial Stylesheet */
/*Created On : 18 May 2025 */
body{
font-family: 'Calibri','sans-serif','Arial','Tajawal';
color:black;
}

a{
font-size:12px;
}

.tbl{
cellpadding:0px;
cellspacing:0px;
border: 0.5px solid #8a8d8f;
}

.tbl td, .tbl th{
border: 0.5px solid #8a8d8f;
font-size:16px;
word-break: break-word;
text-align:left;
}

.tbl th{
padding:5px;
}

.prsDpt, .prsDim, .tblAspct, .tblDpt, .hycJson, .actVal{
display:none;
}
.elr{
margin: 5px;
}
.elrHdr{
font-size:18px;text-decoration:underline;padding:4px;float:left;margin-bottom:15px;
width:100%;display:inline-block;background:#435058;color:#fff;
}
.divTbl{
margin: 15px 5px;
}
.tblHdr{
font-size:16px;margin-bottom:5px;
}
.dtHdrDiv{
margin:5px 0px;
padding-top:4px;padding-bottom:4px;
}
.dtHdrVal{
background:#435058;color:#fff;padding: 4px;
}
.dtHdr,.dimHdr,.conceptHdr{
background:#435058;color:#fff;
font-weight:bold;
text-align:center;
padding-top:4px;padding-bottom:4px;
}
.topLbl,.topLbl_1,.domLbl{
padding-top: 4px;
padding-bottom: 4px;
}
/*.valCell{
text-align:center;
}*/
.absLinItm > .valCell{
background:#b5bdc4;
}
.absLinItm{
background:#c6974b;
color:#000;
font-weight:bold;
}
.totalDimHdr{
background:#dfddd0;
font-weight:bold;
}
.lytTotalHdr{
background:#dfddd0;
font-weight:bold;
}
.dispVal{
margin:5px;
}
/*.domLbl, .dtLbl*/
.typDimCell {
background:#b2e2be;
text-align:center;
}
.lftLbl,.lftLbl_1{ 
padding-left: 5px; padding-top:4px;padding-bottom:4px;
text-align:left;
background:#c6974b;
}
.lftLbl_1{
text-align:center!important;
background:#c6974b;
}
.indnt_1{ padding-left: 5px; text-align:left; }
.indnt_2{ padding-left: 15px; text-align:left;}
.indnt_3{ padding-left: 25px; text-align:left;}
.indnt_4{ padding-left: 35px; text-align:left;}
.indnt_5{ padding-left: 45px; text-align:left;}
.indnt_6{ padding-left: 55px; text-align:left;}
.indnt_7{ padding-left: 65px; text-align:left;}
.indnt_8{ padding-left: 75px; text-align:left;}
.indnt_9{ padding-left: 85px; text-align:left;}
.indnt_10{ padding-left: 95px; text-align:left;}
.indnt_11{ padding-left: 105px; text-align:left;}
.indnt_12{ padding-left: 115px; }
.indnt_13{ padding-left: 125px; }
.indnt_14{ padding-left: 135px; }
.indnt_15{ padding-left: 145px; }

.txtBlk{
margin: 10px 2px;
border: 1px solid brown;
padding: 5px;
}

.txtBlk > .dtHdrVal{
background:#c6974b;
color:#000;
}

.ftnt{
margin: 10px 2px;
border: 1px solid green;
padding: 5px;
}

.ftnt_q{
display:none;
border: 1px solid green;
padding:5px;
background: rgb(255, 255, 153);
min-width:200px;
max-width:1000px;
position:absolute;
text-align:justify;
}
.ftnt_close{
font-size:10px;margin:-5px;background:red;color:white;
cursor:pointer;float:right;padding:2px 4px;
}

.dateItm{
background:#dfddd0;
}
.stringItm{
background:#dfddd0;
}
.txtBlkItm{
background:#dfddd0;
}
.purItm{
background:#dfddd0;
}
.enumItm{
background:#dfddd0;
}
.calcItm{
background:#dfddd0;			
font-weight:bold;
}
.calcItm.lftLbl{
background:#c6974b;
}

.divElrList{
    width: 100%;
    max-height: 140px;
    overflow: scroll;
	background:#dfddd0;
}

.elrDet{
background:lightyellow;
border:1px solid;
border-radius: 10px;
display:none;
padding:5px;
}

.elrDetSpn {
    top: 0px;
    right: 0px;
    position: absolute;
    cursor: pointer;
    background: lightcoral;
    padding: 0px 4px 1px 4px;
    border: 1px solid;
    font-weight: bold;
    border-radius: 5px;
    font-size: 12px;
}


.elrTblHdr { float:left; }
.elrTblHdr > input { float:left;margin-left:20px }
.elrHdrNm { float:left;color:black;cursor:pointer; }
.elrHdrNm:hover { text-decoration:underline }
.elrHdrInfIcn { float:left;margin-left:5px;color:blue;cursor:pointer; }
.elrHdrInfIcn:hover { text-decoration:underline }
.elrHdrTop{ float:right;margin-top:-39px;color:white;cursor: pointer;text-decoration: underline; }
.negRed{color:red;}

.container-fluid {
  padding-right: 20px;
  padding-left: 20px;
  *zoom: 1;
  background: #E7E8EA;
   /*color: #696969;*/
   
}
.row-fluid {
  width: 100%;
  *zoom: 1;
}
.span12 {
  width: 940px;
}
.row-fluid .span12 {
  width: 100%;
  *width: 99.94680851063829%;
}
